import { defineStore } from 'pinia'
import { type Asset } from '@/types'

export const useAssetStore = defineStore('assets', {
  state: () => ({
    assets: [] as Asset[]
  }),
  actions: {
    setAssets(assets: Asset[]) {
      this.assets = assets
    },
    addAsset(asset: Asset) {
      this.assets.push(asset)
    }
  }
})
